package dk.itu.mario.level;

import java.util.List;

import dk.itu.mario.level.grammar.LevelParseTree;

public class FitnessEvaluator {
	public static boolean isFit(LevelParseTree parseTree, PlayerProfile playerProfile, LevelArchetype levelArchetype) {
		System.out.println("Evaluating LevelParseTree for fitness");
		List<LevelComponent> levelTemplate = parseTree.getLevelTemplate();
		//a good level has 8-16 components, plus some additional complexity depending on the player's skill level
		return levelTemplate.size() > 7 && levelTemplate.size() < 17;
	}
}
